summaryrefslogtreecommitdiffstats
path: root/network/retroshare
diff options
context:
space:
mode:
author adev <adev@linuxmail.org>2010-05-11 22:55:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:01 +0200
commitbc7c1614243a50fa65c98307724366186bfc7405 (patch)
tree424217c788ef88086e8d85670979759141655225 /network/retroshare
parent8e5a0c1f0cbf3290405c1c7da4975570d421fbf6 (diff)
downloadslackbuilds-bc7c1614243a50fa65c98307724366186bfc7405.tar.gz
slackbuilds-bc7c1614243a50fa65c98307724366186bfc7405.tar.xz
network/retroshare: Added to 12.1 repository
Diffstat (limited to 'network/retroshare')
-rw-r--r--network/retroshare/README7
-rw-r--r--network/retroshare/retroshare.SlackBuild76
-rw-r--r--network/retroshare/retroshare.desktop10
-rw-r--r--network/retroshare/retroshare.info8
-rw-r--r--network/retroshare/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/network/retroshare/README b/network/retroshare/README
new file mode 100644
index 0000000000..fc7608047e
--- /dev/null
+++ b/network/retroshare/README
@@ -0,0 +1,7 @@
+Retroshare is a private and secure decentralised commmunication
+platform. It lets you share securely your friends, using a
+web-of-trust to authenticate peers and OpenSSL to encrypt all
+communication. RetroShare provides filesharing, chat, messages
+and channels
+
+Retroshare requires qt4 (available on SlackBuilds.org).
diff --git a/network/retroshare/retroshare.SlackBuild b/network/retroshare/retroshare.SlackBuild
new file mode 100644
index 0000000000..9dcf0c124e
--- /dev/null
+++ b/network/retroshare/retroshare.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for retroshare
+
+PRGNAM=retroshare
+VERSION=${VERSION:-v0.4.04b}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-package-$VERSION
+tar xvf $CWD/$PRGNAM-pkg-linux-src-$VERSION.tgz
+cd $PRGNAM-package-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./compile_rs_release.sh
+
+mkdir -p $PKG/usr/{bin,lib}
+install -m 0755 ./bin/Retroshare-v0.4.04b $PKG/usr/bin
+install -m 0755 ./bin/retroshare-nogui $PKG/usr/bin
+install -m 0755 ./src/miniupnpc-1.0/libminiupnpc.so $PKG/usr/lib
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/bin
+ ln -s Retroshare-v0.4.04b retroshare
+)
+
+( cd $PKG/usr/lib
+ ln -s libminiupnpc.so libminiupnpc.so.2
+)
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/retroshare.desktop \
+ $PKG/usr/share/applications/
+install -m 0644 \
+ ./src/retroshare-v0.4.04b/retroshare-gui/src/gui/images/retrosharelogo1.png \
+ $PKG/usr/share/pixmaps/retroshare.png
+
+DOCS="README.txt $CWD/$PRGNAM.SlackBuild"
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+chown -R root:root $PKG/usr/doc
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/retroshare/retroshare.desktop b/network/retroshare/retroshare.desktop
new file mode 100644
index 0000000000..6f17682d87
--- /dev/null
+++ b/network/retroshare/retroshare.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=RetroShare
+Comment=Secure Communications with Friends
+Exec=retroshare
+Icon=retroshare
+Terminal=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=false
diff --git a/network/retroshare/retroshare.info b/network/retroshare/retroshare.info
new file mode 100644
index 0000000000..35e1b685d8
--- /dev/null
+++ b/network/retroshare/retroshare.info
@@ -0,0 +1,8 @@
+PRGNAM="retroshare"
+VERSION="v0.4.04b"
+HOMEPAGE="http://retroshare.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/retroshare/retroshare-pkg-linux-src-v0.4.04b.tgz"
+MD5SUM="9f44f34c6dbcc1859531cbb7248b34cc"
+MAINTAINER="adev"
+EMAIL="adev@linuxmail.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/retroshare/slack-desc b/network/retroshare/slack-desc
new file mode 100644
index 0000000000..ecb1d3cbb3
--- /dev/null
+++ b/network/retroshare/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+retroshare: RetroShare (secure communications with friends)
+retroshare:
+retroshare: Retroshare is a private and secure decentralised commmunication
+retroshare: platform. It lets you share securely your friends, using a
+retroshare: web-of-trust to authenticate peers and OpenSSL to encrypt all
+retroshare: communication. RetroShare provides filesharing, chat, messages
+retroshare: and channels
+retroshare:
+retroshare: Homepage: http://retroshare.sourceforge.net/
+retroshare:
+retroshare: